Index: ./misc/gnome2-utils/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/misc/gnome2-utils/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- ./misc/gnome2-utils/Makefile	21 Mar 2006 06:00:47 -0000	1.52
+++ ./misc/gnome2-utils/Makefile	4 Apr 2006 06:26:55 -0000
@@ -27,7 +27,7 @@
 GCONF2_SCHEMAS+=	gnome-search-tool.schemas
 GCONF2_SCHEMAS+=	logview.schemas
 
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.8.4
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.8.4
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/GConf2-ui/buildlink3.mk"
Index: ./misc/goffice/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/misc/goffice/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ./misc/goffice/Makefile	6 Mar 2006 00:18:12 -0000	1.6
+++ ./misc/goffice/Makefile	4 Apr 2006 06:26:55 -0000
@@ -19,7 +19,7 @@
 .include "../../converters/libiconv/buildlink3.mk"
 .include "../../devel/GConf2/buildlink3.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.3
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.3
 .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/libglade2/buildlink3.mk"
 .include "../../devel/libgnomeui/buildlink3.mk"
@@ -27,7 +27,7 @@
 .include "../../devel/pango/buildlink3.mk"
 .include "../../graphics/cairo/buildlink3.mk"
 .include "../../graphics/libart2/buildlink3.mk"
-BUILDLINK_DEPENDS.libgnomeprint+=	libgnomeprint>=2.8.2
+BUILDLINK_API_DEPENDS.libgnomeprint+=	libgnomeprint>=2.8.2
 .include "../../print/libgnomeprint/buildlink3.mk"
 .include "../../textproc/intltool/buildlink3.mk"
 .include "../../textproc/libxml2/buildlink3.mk"
Index: ./misc/goffice/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/goffice/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./misc/goffice/buildlink3.mk	5 Feb 2006 23:10:09 -0000	1.3
+++ ./misc/goffice/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	goffice
 
 .if !empty(GOFFICE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.goffice+=	goffice>=0.1.2
-BUILDLINK_RECOMMENDED.goffice?=	goffice>=0.2.0nb1
+BUILDLINK_API_DEPENDS.goffice+=	goffice>=0.1.2
+BUILDLINK_ABI_DEPENDS.goffice?=	goffice>=0.2.0nb1
 BUILDLINK_PKGSRCDIR.goffice?=	../../misc/goffice
 .endif	# GOFFICE_BUILDLINK3_MK
 
Index: ./misc/kdepim3/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/misc/kdepim3/Makefile,v
retrieving revision 1.58
diff -u -r1.58 Makefile
--- ./misc/kdepim3/Makefile	30 Mar 2006 02:52:17 -0000	1.58
+++ ./misc/kdepim3/Makefile	4 Apr 2006 06:26:55 -0000
@@ -15,7 +15,7 @@
 
 .include "../../mk/bsd.options.mk"
 
-BUILDLINK_DEPENDS.gpgme+=     gpgme>=0.4.5
+BUILDLINK_API_DEPENDS.gpgme+=     gpgme>=0.4.5
 
 REPLACE_PERL+=	kmail/kmail-3.1-update-new-mail-notification-settings.pl \
 		kmail/kmail-3.1-use-UOID-for-identities.pl \
Index: ./misc/kdepim3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/kdepim3/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./misc/kdepim3/buildlink3.mk	5 Feb 2006 23:10:10 -0000	1.14
+++ ./misc/kdepim3/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdepim
 
 .if !empty(KDEPIM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdepim+=	kdepim>=3.5.0nb1
-BUILDLINK_RECOMMENDED.kdepim?=	kdepim>=3.5.1nb1
+BUILDLINK_API_DEPENDS.kdepim+=	kdepim>=3.5.0nb1
+BUILDLINK_ABI_DEPENDS.kdepim?=	kdepim>=3.5.1nb1
 BUILDLINK_PKGSRCDIR.kdepim?=	../../misc/kdepim3
 .endif	# KDEPIM_BUILDLINK3_MK
 
Index: ./misc/koffice/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/koffice/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./misc/koffice/buildlink3.mk	5 Feb 2006 23:10:10 -0000	1.8
+++ ./misc/koffice/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	koffice
 
 .if !empty(KOFFICE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.koffice?=	koffice>=1.4.2nb5
-BUILDLINK_RECOMMENDED.koffice?=	koffice>=1.4.2nb8
+BUILDLINK_API_DEPENDS.koffice?=	koffice>=1.4.2nb5
+BUILDLINK_ABI_DEPENDS.koffice?=	koffice>=1.4.2nb8
 BUILDLINK_PKGSRCDIR.koffice?=	../../misc/koffice
 .endif	# KOFFICE_BUILDLINK3_MK
 
Index: ./misc/libcdio/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/libcdio/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./misc/libcdio/buildlink3.mk	5 Feb 2006 23:10:12 -0000	1.6
+++ ./misc/libcdio/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libcdio
 
 .if !empty(LIBCDIO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcdio+=	libcdio>=0.65
-BUILDLINK_RECOMMENDED.libcdio+=	libcdio>=0.76nb1
+BUILDLINK_API_DEPENDS.libcdio+=	libcdio>=0.65
+BUILDLINK_ABI_DEPENDS.libcdio+=	libcdio>=0.76nb1
 BUILDLINK_PKGSRCDIR.libcdio?=	../../misc/libcdio
 .endif	# LIBCDIO_BUILDLINK3_MK
 
Index: ./misc/libutf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/libutf/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./misc/libutf/buildlink3.mk	3 Oct 2004 00:13:00 -0000	1.2
+++ ./misc/libutf/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libutf
 
 .if !empty(LIBUTF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libutf+=	libutf>=2.10nb1
-BUILDLINK_RECOMMENDED.libutf+=	libutf>=2.10nb2
+BUILDLINK_API_DEPENDS.libutf+=	libutf>=2.10nb1
+BUILDLINK_ABI_DEPENDS.libutf+=	libutf>=2.10nb2
 BUILDLINK_PKGSRCDIR.libutf?=	../../misc/libutf
 .endif	# LIBUTF_BUILDLINK3_MK
 
Index: ./misc/proj/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/proj/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./misc/proj/buildlink3.mk	5 Feb 2006 23:10:13 -0000	1.3
+++ ./misc/proj/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	proj
 
 .if !empty(PROJ_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.proj+=	proj>=4.4.7nb1
-BUILDLINK_RECOMMENDED.proj?=	proj>=4.4.7nb2
+BUILDLINK_API_DEPENDS.proj+=	proj>=4.4.7nb1
+BUILDLINK_ABI_DEPENDS.proj?=	proj>=4.4.7nb2
 BUILDLINK_PKGSRCDIR.proj?=	../../misc/proj
 .endif	# PROJ_BUILDLINK3_MK
 
Index: ./misc/rpm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/rpm/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./misc/rpm/buildlink3.mk	5 Feb 2006 23:10:14 -0000	1.5
+++ ./misc/rpm/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	rpm
 
 .if !empty(RPM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.rpm+=	rpm>=2.5.4nb4
-BUILDLINK_RECOMMENDED.rpm?=	rpm>=2.5.4nb5
+BUILDLINK_API_DEPENDS.rpm+=	rpm>=2.5.4nb4
+BUILDLINK_ABI_DEPENDS.rpm?=	rpm>=2.5.4nb5
 BUILDLINK_PKGSRCDIR.rpm?=	../../misc/rpm
 BUILDLINK_DEPMETHOD.rpm?=	build
 
Index: ./misc/xfce4-weather-plugin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/misc/xfce4-weather-plugin/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./misc/xfce4-weather-plugin/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.6
+++ ./misc/xfce4-weather-plugin/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-weather-plugin
 
 .if !empty(XFCE4_WEATHER_PLUGIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-weather-plugin+=	xfce4-weather-plugin>=0.4.9
-BUILDLINK_RECOMMENDED.xfce4-weather-plugin?=	xfce4-weather-plugin>=0.4.9nb2
+BUILDLINK_API_DEPENDS.xfce4-weather-plugin+=	xfce4-weather-plugin>=0.4.9
+BUILDLINK_ABI_DEPENDS.xfce4-weather-plugin?=	xfce4-weather-plugin>=0.4.9nb2
 BUILDLINK_PKGSRCDIR.xfce4-weather-plugin?=	../../misc/xfce4-weather-plugin
 .endif	# XFCE4_WEATHER_PLUGIN_BUILDLINK3_MK
 
Index: ./misc/yelp/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/misc/yelp/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- ./misc/yelp/Makefile	21 Mar 2006 06:00:47 -0000	1.45
+++ ./misc/yelp/Makefile	4 Apr 2006 06:26:55 -0000
@@ -14,7 +14,7 @@
 DEPENDS+=		docbook>=4.2:../../textproc/docbook
 BUILD_USES_MSGFMT=	yes
 
-BUILDLINK_DEPENDS.libxslt+=	libxslt>=1.1.4
+BUILDLINK_API_DEPENDS.libxslt+=	libxslt>=1.1.4
 
 USE_DIRS+=		gnome2-1.5
 USE_TOOLS+=		gmake pkg-config
@@ -32,7 +32,7 @@
 
 .if !empty(PKG_OPTIONS:Mfirefox)
 # Require a version that has the .pc files in it.
-BUILDLINK_DEPENDS.firefox+=     firefox>=1.5nb2
+BUILDLINK_API_DEPENDS.firefox+=     firefox>=1.5nb2
 .endif
 
 .include "../../archivers/bzip2/buildlink3.mk"
Index: ./multimedia/dirac/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/dirac/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./multimedia/dirac/buildlink3.mk	16 May 2004 02:07:44 -0000	1.1.1.1
+++ ./multimedia/dirac/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	dirac
 
 .if !empty(DIRAC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dirac+=	dirac>=0.2.0
+BUILDLINK_API_DEPENDS.dirac+=	dirac>=0.2.0
 BUILDLINK_PKGSRCDIR.dirac?=	../../multimedia/dirac
 BUILDLINK_DEPMETHOD.dirac?=	build
 .endif	# DIRAC_BUILDLINK3_MK
Index: ./multimedia/dvdrip/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/dvdrip/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- ./multimedia/dvdrip/Makefile	4 Mar 2006 21:30:14 -0000	1.22
+++ ./multimedia/dvdrip/Makefile	4 Apr 2006 06:26:55 -0000
@@ -24,7 +24,7 @@
 #DEPENDS+=	rar>=2.02:../../archivers/rar
 .endif
 
-BUILDLINK_DEPENDS.perl+=	perl>=5.6.0
+BUILDLINK_API_DEPENDS.perl+=	perl>=5.6.0
 
 USE_PKGLOCALEDIR=	YES
 
Index: ./multimedia/ffmpeg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/ffmpeg/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./multimedia/ffmpeg/buildlink3.mk	22 Feb 2006 10:30:18 -0000	1.5
+++ ./multimedia/ffmpeg/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ffmpeg
 
 .if !empty(FFMPEG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ffmpeg+=	ffmpeg>=0.4.9pre1
-BUILDLINK_RECOMMENDED.ffmpeg?=	ffmpeg>=0.4.9pre1
+BUILDLINK_API_DEPENDS.ffmpeg+=	ffmpeg>=0.4.9pre1
+BUILDLINK_ABI_DEPENDS.ffmpeg?=	ffmpeg>=0.4.9pre1
 BUILDLINK_PKGSRCDIR.ffmpeg?=	../../multimedia/ffmpeg
 .endif	# FFMPEG_BUILDLINK3_MK
 
Index: ./multimedia/gnome2-media/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gnome2-media/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./multimedia/gnome2-media/buildlink3.mk	5 Feb 2006 23:10:15 -0000	1.5
+++ ./multimedia/gnome2-media/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-media
 
 .if !empty(GNOME_MEDIA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-media+=		gnome-media>=2.12.0nb1
-BUILDLINK_RECOMMENDED.gnome-media?=	gnome-media>=2.12.0nb5
+BUILDLINK_API_DEPENDS.gnome-media+=		gnome-media>=2.12.0nb1
+BUILDLINK_ABI_DEPENDS.gnome-media?=	gnome-media>=2.12.0nb5
 BUILDLINK_PKGSRCDIR.gnome-media?=	../../multimedia/gnome2-media
 .endif	# GNOME_MEDIA_BUILDLINK3_MK
 
Index: ./multimedia/gst-plugins0.10-base/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gst-plugins0.10-base/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/gst-plugins0.10-base/buildlink3.mk	5 Feb 2006 23:10:15 -0000	1.2
+++ ./multimedia/gst-plugins0.10-base/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gst-plugins0.10-base
 
 .if !empty(GST_PLUGINS0.10_BASE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gst-plugins0.10-base+=	gst-plugins0.10-base>=0.10.1
-BUILDLINK_RECOMMENDED.gst-plugins0.10-base?=	gst-plugins0.10-base>=0.10.2nb1
+BUILDLINK_API_DEPENDS.gst-plugins0.10-base+=	gst-plugins0.10-base>=0.10.1
+BUILDLINK_ABI_DEPENDS.gst-plugins0.10-base?=	gst-plugins0.10-base>=0.10.2nb1
 BUILDLINK_PKGSRCDIR.gst-plugins0.10-base?=	../../multimedia/gst-plugins0.10-base
 .endif	# GST_PLUGINS0.10_BASE_BUILDLINK3_MK
 
Index: ./multimedia/gst-plugins0.10-good/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gst-plugins0.10-good/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/gst-plugins0.10-good/buildlink3.mk	5 Feb 2006 23:10:15 -0000	1.2
+++ ./multimedia/gst-plugins0.10-good/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gst-plugins0.10-good
 
 .if !empty(GST_PLUGINS0.10_GOOD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gst-plugins0.10-good+=	gst-plugins0.10-good>=0.10.1
-BUILDLINK_RECOMMENDED.gst-plugins0.10-good?=	gst-plugins0.10-good>=0.10.1nb1
+BUILDLINK_API_DEPENDS.gst-plugins0.10-good+=	gst-plugins0.10-good>=0.10.1
+BUILDLINK_ABI_DEPENDS.gst-plugins0.10-good?=	gst-plugins0.10-good>=0.10.1nb1
 BUILDLINK_PKGSRCDIR.gst-plugins0.10-good?=	../../multimedia/gst-plugins0.10-good
 .endif	# GST_PLUGINS0.10_GOOD_BUILDLINK3_MK
 
Index: ./multimedia/gst-plugins0.8/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gst-plugins0.8/Makefile.common,v
retrieving revision 1.1
diff -u -r1.1 Makefile.common
--- ./multimedia/gst-plugins0.8/Makefile.common	18 Jan 2006 12:44:03 -0000	1.1
+++ ./multimedia/gst-plugins0.8/Makefile.common	4 Apr 2006 06:26:55 -0000
@@ -163,7 +163,7 @@
 .include "../../multimedia/gst-plugins0.8/buildlink3.mk"
 .endif
 
-BUILDLINK_DEPENDS.gstreamer0.8+=	gstreamer0.8>=0.8.11
+BUILDLINK_API_DEPENDS.gstreamer0.8+=	gstreamer0.8>=0.8.11
 
 .include "../../converters/libiconv/buildlink3.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./multimedia/gst-plugins0.8/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gst-plugins0.8/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/gst-plugins0.8/buildlink3.mk	5 Feb 2006 23:10:15 -0000	1.3
+++ ./multimedia/gst-plugins0.8/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gst-plugins0.8
 
 .if !empty(GST_PLUGINS0.8_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gst-plugins0.8+=	gst-plugins0.8>=0.8.11
-BUILDLINK_RECOMMENDED.gst-plugins0.8?=	gst-plugins0.8>=0.8.11nb2
+BUILDLINK_API_DEPENDS.gst-plugins0.8+=	gst-plugins0.8>=0.8.11
+BUILDLINK_ABI_DEPENDS.gst-plugins0.8?=	gst-plugins0.8>=0.8.11nb2
 BUILDLINK_PKGSRCDIR.gst-plugins0.8?=	../../multimedia/gst-plugins0.8
 .endif	# GST_PLUGINS0.8_BUILDLINK3_MK
 
Index: ./multimedia/gst-plugins0.8-xvid/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gst-plugins0.8-xvid/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./multimedia/gst-plugins0.8-xvid/Makefile	21 Mar 2006 06:00:47 -0000	1.5
+++ ./multimedia/gst-plugins0.8-xvid/Makefile	4 Apr 2006 06:26:55 -0000
@@ -4,7 +4,7 @@
 GST_PLUGINS0.8_NAME=	xvid
 GST_PLUGINS0.8_DIR=	ext/xvid
 
-BUILDLINK_DEPENDS.xvidcore+=	xvidcore>=1.0.3nb1
+BUILDLINK_API_DEPENDS.xvidcore+=	xvidcore>=1.0.3nb1
 
 .include "../../multimedia/gst-plugins0.8/Makefile.common"
 PKGREVISION=		4
Index: ./multimedia/gstreamer0.10/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gstreamer0.10/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./multimedia/gstreamer0.10/Makefile	12 Mar 2006 12:41:09 -0000	1.5
+++ ./multimedia/gstreamer0.10/Makefile	4 Apr 2006 06:26:55 -0000
@@ -41,7 +41,7 @@
 .if ${OPSYS} == "NetBSD"
 # We must have a glib2 compiled with the RTLD_GLOBAL fix; if not, plugins
 # won't work at all.
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.0nb1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.4.0nb1
 .endif
 .undef f
 
Index: ./multimedia/gstreamer0.10/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gstreamer0.10/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/gstreamer0.10/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.2
+++ ./multimedia/gstreamer0.10/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gstreamer0.10
 
 .if !empty(GSTREAMER0.10_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gstreamer0.10+=	gstreamer0.10>=0.10.1
-BUILDLINK_RECOMMENDED.gstreamer0.10?=	gstreamer0.10>=0.10.2nb1
+BUILDLINK_API_DEPENDS.gstreamer0.10+=	gstreamer0.10>=0.10.1
+BUILDLINK_ABI_DEPENDS.gstreamer0.10?=	gstreamer0.10>=0.10.2nb1
 BUILDLINK_PKGSRCDIR.gstreamer0.10?=	../../multimedia/gstreamer0.10
 
 PRINT_PLIST_AWK+=	/^@dirrm (include|lib)\/gstreamer-0.10(\/gst)?$$/ \
Index: ./multimedia/gstreamer0.8/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gstreamer0.8/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./multimedia/gstreamer0.8/Makefile	21 Mar 2006 06:00:47 -0000	1.5
+++ ./multimedia/gstreamer0.8/Makefile	4 Apr 2006 06:26:55 -0000
@@ -39,7 +39,7 @@
 .if ${OPSYS} == "NetBSD"
 # We must have a glib2 compiled with the RTLD_GLOBAL fix; if not, plugins
 # won't work at all.
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.4.0nb1
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.4.0nb1
 .endif
 .undef f
 
Index: ./multimedia/gstreamer0.8/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gstreamer0.8/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/gstreamer0.8/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.3
+++ ./multimedia/gstreamer0.8/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gstreamer0.8
 
 .if !empty(GSTREAMER0.8_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gstreamer0.8+=	gstreamer0.8>=0.8.11
-BUILDLINK_RECOMMENDED.gstreamer0.8?=	gstreamer0.8>=0.8.11nb2
+BUILDLINK_API_DEPENDS.gstreamer0.8+=	gstreamer0.8>=0.8.11
+BUILDLINK_ABI_DEPENDS.gstreamer0.8?=	gstreamer0.8>=0.8.11nb2
 BUILDLINK_PKGSRCDIR.gstreamer0.8?=	../../multimedia/gstreamer0.8
 
 PRINT_PLIST_AWK+=	/^@dirrm (include|lib)\/gstreamer-0.8(\/gst)?$$/ \
Index: ./multimedia/gstreamer0.8/plugins.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/gstreamer0.8/plugins.mk,v
retrieving revision 1.2
diff -u -r1.2 plugins.mk
--- ./multimedia/gstreamer0.8/plugins.mk	14 Mar 2006 01:14:31 -0000	1.2
+++ ./multimedia/gstreamer0.8/plugins.mk	4 Apr 2006 06:26:55 -0000
@@ -24,7 +24,7 @@
 .if defined(_GSTREAMER0.8_NO_DEPEND)
 BUILDLINK_PREFIX.gstreamer0.8=	${LOCALBASE}
 .else
-BUILDLINK_DEPENDS.gstreamer0.8+=	gstreamer0.8>=0.8.1
+BUILDLINK_API_DEPENDS.gstreamer0.8+=	gstreamer0.8>=0.8.1
 .  include "../../multimedia/gstreamer0.8/buildlink3.mk"
 .endif
 
Index: ./multimedia/kdemultimedia3/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/kdemultimedia3/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- ./multimedia/kdemultimedia3/Makefile	30 Mar 2006 02:48:36 -0000	1.44
+++ ./multimedia/kdemultimedia3/Makefile	4 Apr 2006 06:26:55 -0000
@@ -18,7 +18,7 @@
 
 .include "../../mk/compiler.mk"
 .if !empty(CC_VERSION:Mgcc-3.*)
-BUILDLINK_DEPENDS.xine-lib+=	xine-lib>=1rc0anb1
+BUILDLINK_API_DEPENDS.xine-lib+=	xine-lib>=1rc0anb1
 .endif
 
 CONFIGURE_ARGS+=	--enable-cdparanoia
Index: ./multimedia/kdemultimedia3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/kdemultimedia3/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./multimedia/kdemultimedia3/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.10
+++ ./multimedia/kdemultimedia3/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdemultimedia
 
 .if !empty(KDEMULTIMEDIA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdemultimedia+=	kdemultimedia>=3.5.0nb2
-BUILDLINK_RECOMMENDED.kdemultimedia?=	kdemultimedia>=3.5.1nb1
+BUILDLINK_API_DEPENDS.kdemultimedia+=	kdemultimedia>=3.5.0nb2
+BUILDLINK_ABI_DEPENDS.kdemultimedia?=	kdemultimedia>=3.5.1nb1
 BUILDLINK_PKGSRCDIR.kdemultimedia?=	../../multimedia/kdemultimedia3
 .endif	# KDEMULTIMEDIA_BUILDLINK3_MK
 
Index: ./multimedia/libassetml/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libassetml/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/libassetml/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.2
+++ ./multimedia/libassetml/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libassetml
 
 .if !empty(LIBASSETML_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libassetml+=	libassetml>=1.2.1
-BUILDLINK_RECOMMENDED.libassetml?=	libassetml>=1.2.1nb1
+BUILDLINK_API_DEPENDS.libassetml+=	libassetml>=1.2.1
+BUILDLINK_ABI_DEPENDS.libassetml?=	libassetml>=1.2.1nb1
 BUILDLINK_PKGSRCDIR.libassetml?=	../../multimedia/libassetml
 .endif	# LIBASSETML_BUILDLINK3_MK
 
Index: ./multimedia/libdv/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdv/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./multimedia/libdv/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.4
+++ ./multimedia/libdv/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdv
 
 .if !empty(LIBDV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdv+=	libdv>=0.102
-BUILDLINK_RECOMMENDED.libdv+=	libdv>=0.104nb2
+BUILDLINK_API_DEPENDS.libdv+=	libdv>=0.102
+BUILDLINK_ABI_DEPENDS.libdv+=	libdv>=0.104nb2
 BUILDLINK_PKGSRCDIR.libdv?=	../../multimedia/libdv
 .endif	# LIBDV_BUILDLINK3_MK
 
Index: ./multimedia/libdv-tools/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdv-tools/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ./multimedia/libdv-tools/Makefile	5 Feb 2006 23:10:16 -0000	1.2
+++ ./multimedia/libdv-tools/Makefile	4 Apr 2006 06:26:55 -0000
@@ -12,7 +12,7 @@
 BUILD_DIRS=		${WRKSRC}/encodedv ${WRKSRC}/playdv
 INSTALL_DIRS=		${WRKSRC}/encodedv ${WRKSRC}/playdv
 
-BUILDLINK_DEPENDS.libdv+=	libdv>=0.104nb1
+BUILDLINK_API_DEPENDS.libdv+=	libdv>=0.104nb1
 
 .include "../../devel/glib/buildlink3.mk"
 .include "../../multimedia/libdv/buildlink3.mk"
Index: ./multimedia/libdvbpsi/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdvbpsi/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/libdvbpsi/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.3
+++ ./multimedia/libdvbpsi/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdvbpsi
 
 .if !empty(LIBDVBPSI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdvbpsi+=	libdvbpsi>=0.1.3
-BUILDLINK_RECOMMENDED.libdvbpsi+=	libdvbpsi>=0.1.3nb2
+BUILDLINK_API_DEPENDS.libdvbpsi+=	libdvbpsi>=0.1.3
+BUILDLINK_ABI_DEPENDS.libdvbpsi+=	libdvbpsi>=0.1.3nb2
 BUILDLINK_PKGSRCDIR.libdvbpsi?=	../../multimedia/libdvbpsi
 .endif	# LIBDVBPSI_BUILDLINK3_MK
 
Index: ./multimedia/libdvdcss/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdvdcss/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/libdvdcss/buildlink3.mk	3 Oct 2004 00:13:02 -0000	1.2
+++ ./multimedia/libdvdcss/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdvdcss
 
 .if !empty(LIBDVDCSS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdvdcss+=	libdvdcss>=1.2.4
-BUILDLINK_RECOMMENDED.libdvdcss+=	libdvdcss>=1.2.8nb1
+BUILDLINK_API_DEPENDS.libdvdcss+=	libdvdcss>=1.2.4
+BUILDLINK_ABI_DEPENDS.libdvdcss+=	libdvdcss>=1.2.8nb1
 BUILDLINK_PKGSRCDIR.libdvdcss?=	../../multimedia/libdvdcss
 .endif	# LIBDVDCSS_BUILDLINK3_MK
 
Index: ./multimedia/libdvdnav/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdvdnav/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/libdvdnav/buildlink3.mk	3 Oct 2004 00:13:02 -0000	1.2
+++ ./multimedia/libdvdnav/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdvdnav
 
 .if !empty(LIBDVDNAV_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdvdnav+=	libdvdnav>=0.1.9
-BUILDLINK_RECOMMENDED.libdvdnav+=	libdvdnav>=0.1.9nb1
+BUILDLINK_API_DEPENDS.libdvdnav+=	libdvdnav>=0.1.9
+BUILDLINK_ABI_DEPENDS.libdvdnav+=	libdvdnav>=0.1.9nb1
 BUILDLINK_PKGSRCDIR.libdvdnav?=	../../multimedia/libdvdnav
 .endif	# LIBDVDNAV_BUILDLINK3_MK
 
Index: ./multimedia/libdvdplay/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdvdplay/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/libdvdplay/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.3
+++ ./multimedia/libdvdplay/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdvdplay
 
 .if !empty(LIBDVDPLAY_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdvdplay+=		libdvdplay>=1.0.1
-BUILDLINK_RECOMMENDED.libdvdplay+=	libdvdplay>=1.0.1nb3
+BUILDLINK_API_DEPENDS.libdvdplay+=		libdvdplay>=1.0.1
+BUILDLINK_ABI_DEPENDS.libdvdplay+=	libdvdplay>=1.0.1nb3
 BUILDLINK_PKGSRCDIR.libdvdplay?=	../../multimedia/libdvdplay
 .endif	# LIBDVDPLAY_BUILDLINK3_MK
 
Index: ./multimedia/libdvdread/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libdvdread/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./multimedia/libdvdread/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.4
+++ ./multimedia/libdvdread/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdvdread
 
 .if !empty(LIBDVDREAD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdvdread+=		libdvdread>=0.9.4
-BUILDLINK_RECOMMENDED.libdvdread+=	libdvdread>=0.9.5nb2
+BUILDLINK_API_DEPENDS.libdvdread+=		libdvdread>=0.9.4
+BUILDLINK_ABI_DEPENDS.libdvdread+=	libdvdread>=0.9.5nb2
 BUILDLINK_PKGSRCDIR.libdvdread?=	../../multimedia/libdvdread
 .endif	# LIBDVDREAD_BUILDLINK3_MK
 
Index: ./multimedia/libflash/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libflash/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/libflash/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.3
+++ ./multimedia/libflash/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libflash
 
 .if !empty(LIBFLASH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libflash+=	libflash>=0.4.10nb4
-BUILDLINK_RECOMMENDED.libflash+=	libflash>=0.4.10nb6
+BUILDLINK_API_DEPENDS.libflash+=	libflash>=0.4.10nb4
+BUILDLINK_ABI_DEPENDS.libflash+=	libflash>=0.4.10nb6
 BUILDLINK_PKGSRCDIR.libflash?=	../../multimedia/libflash
 .endif	# LIBFLASH_BUILDLINK3_MK
 
Index: ./multimedia/libmatroska/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmatroska/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./multimedia/libmatroska/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.11
+++ ./multimedia/libmatroska/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -16,8 +16,8 @@
 BUILDLINK_PACKAGES+=	libmatroska
 
 .if !empty(LIBMATROSKA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmatroska+=	libmatroska>=0.8.0
-BUILDLINK_RECOMMENDED.libmatroska?=	libmatroska>=0.8.0nb1
+BUILDLINK_API_DEPENDS.libmatroska+=	libmatroska>=0.8.0
+BUILDLINK_ABI_DEPENDS.libmatroska?=	libmatroska>=0.8.0nb1
 BUILDLINK_PKGSRCDIR.libmatroska?=	../../multimedia/libmatroska
 .endif	# LIBMATROSKA_BUILDLINK3_MK
 
Index: ./multimedia/libmpeg2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmpeg2/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./multimedia/libmpeg2/buildlink3.mk	5 Feb 2006 23:10:16 -0000	1.4
+++ ./multimedia/libmpeg2/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmpeg2
 
 .if !empty(LIBMPEG2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmpeg2+=	libmpeg2>=0.4.0
-BUILDLINK_RECOMMENDED.libmpeg2+=	libmpeg2>=0.4.0bnb3
+BUILDLINK_API_DEPENDS.libmpeg2+=	libmpeg2>=0.4.0
+BUILDLINK_ABI_DEPENDS.libmpeg2+=	libmpeg2>=0.4.0bnb3
 BUILDLINK_PKGSRCDIR.libmpeg2?=	../../multimedia/libmpeg2
 .endif	# LIBMPEG2_BUILDLINK3_MK
 
Index: ./multimedia/libmpeg3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libmpeg3/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/libmpeg3/buildlink3.mk	5 Feb 2006 23:10:17 -0000	1.2
+++ ./multimedia/libmpeg3/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libmpeg3
 
 .if !empty(LIBMPEG3_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libmpeg3+=	libmpeg3>=1.3nb4
-BUILDLINK_RECOMMENDED.libmpeg3?=	libmpeg3>=1.3nb6
+BUILDLINK_API_DEPENDS.libmpeg3+=	libmpeg3>=1.3nb4
+BUILDLINK_ABI_DEPENDS.libmpeg3?=	libmpeg3>=1.3nb6
 BUILDLINK_PKGSRCDIR.libmpeg3?=	../../multimedia/libmpeg3
 .endif	# LIBMPEG3_BUILDLINK3_MK
 
Index: ./multimedia/libogg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libogg/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/libogg/buildlink3.mk	3 Oct 2004 00:13:03 -0000	1.2
+++ ./multimedia/libogg/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -12,8 +12,8 @@
 BUILDLINK_PACKAGES+=	libogg
 
 .if !empty(LIBOGG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libogg+=	libogg>=1.1
-BUILDLINK_RECOMMENDED.libogg+=	libogg>=1.1.2nb1
+BUILDLINK_API_DEPENDS.libogg+=	libogg>=1.1
+BUILDLINK_ABI_DEPENDS.libogg+=	libogg>=1.1.2nb1
 BUILDLINK_PKGSRCDIR.libogg?=	../../multimedia/libogg
 .endif	# LIBOGG_BUILDLINK3_MK
 
Index: ./multimedia/libtheora/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/libtheora/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/libtheora/buildlink3.mk	3 Oct 2004 00:13:03 -0000	1.3
+++ ./multimedia/libtheora/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libtheora
 
 .if !empty(LIBTHEORA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libtheora+=	libtheora>=1.0alpha3
-BUILDLINK_RECOMMENDED.libtheora+=	libtheora>=1.0alpha3nb1
+BUILDLINK_API_DEPENDS.libtheora+=	libtheora>=1.0alpha3
+BUILDLINK_ABI_DEPENDS.libtheora+=	libtheora>=1.0alpha3nb1
 BUILDLINK_PKGSRCDIR.libtheora?=	../../multimedia/libtheora
 .endif	# LIBTHEORA_BUILDLINK3_MK
 
Index: ./multimedia/lsdvd/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/lsdvd/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ./multimedia/lsdvd/Makefile	26 Feb 2006 05:03:21 -0000	1.7
+++ ./multimedia/lsdvd/Makefile	4 Apr 2006 06:26:55 -0000
@@ -14,7 +14,7 @@
 GNU_CONFIGURE=		YES
 USE_TOOLS+=		autoconf213
 
-BUILDLINK_DEPENDS.libdvdread+=	libdvdread>=0.9.5nb1
+BUILDLINK_API_DEPENDS.libdvdread+=	libdvdread>=0.9.5nb1
 
 pre-configure:
 	cd ${WRKSRC}; autoconf
